import { ModifyContentAction } from '../../../dto/actions/modify-content-action.abstract';
export const DELETE_TABLE_BLOCK = 'DELETE_TABLE_BLOCK';
/**
 * Action to delete a table block
 */
export class DeleteTableBlockAction extends ModifyContentAction {
  constructor(target) {
    super();
    this.isFlushable = true;
    this.type = DELETE_TABLE_BLOCK;
    this.tableBlock = target;
  }
}
